| tags:debian categories:computing

Firefox 70 on Buster

快適に動作しているデビアンですが、インストールされているファイヤーフォックのバージョンが68.*と少し古いです。 最新のものを使ってもシステムに影響はないだろうと思い、最新版をインストールします。

デビアンでは 最新版のファイヤーフォックスはunstabl (sid)のディストリビューションに入っています。

デビアンのパッケージは、

  • stable : buster
  • testing : bullseye
  • sid : unstable
  • experimental

と(いつからかexperimentalが増えたような?)分けられています。 testingは次期バージョンのディストリビューション:bullseye、stableより下に行くほど不安定という感じですかね。

まずは、sid(unstableでも良いと思う)よりパッケージをインストールするためにaptのソースリストを追加します。

$ vi /etc/apt/source.list.d/sid.list


deb http://deb.debian.org/debian/ sid main
# deb http://deb.debian.org/debian/ unstable main

そしてファイヤーフォックスをインストールして、すでに入っているファイヤーフォックスを削除します。 ** -t sid** がターゲットのオプションです。 パッケージが違うからか、環境設定が新しくなりますのでご用心のほど。 (ブックマークなどは以前の設定より持ってこれる)

$ sudo apt update
$ sudo apt install -t sid firefox
$ 
$ sudo apt purge firefox-esr

マンジャーロも悪くないのですが、デビアンの印象が良いです。 パッケージ古いとか言われていますが、 新版のアプリが使いたい場合は状況に応じて、 ディストリビューションを使い分けてインストールすれば良いかなと思ってます。

パッケージの検索はこちら: https://www.debian.org/distrib/packages

おまけ

いきなりトラックポイントが動かなくなってしまう不具合が発生。 以前からたまにあったのだけど、再起動でほとんど問題は回避できてました。 しかし数回りブートをしても状況変わらず。調べて見ました。

$ rmmod psmouse
$ modprobe psmouse proto=bare

で使えるようになりました。。なぜに今更??

See Also

comments powered by Disqus